Developer Portal
InsightsPurpleTRAC
MTIPodium
Other
Other
  • Weather
InsightsPurpleTRAC
MTIPodium
Other
Other
  • Weather
  1. Screening
  • Start Here
    • Overview
    • Getting started
    • Authentication
    • Testing
    • Errors & status codes
    • FAQ
  • General
    • Retrieve a list of vessels
    • Additional entity search
  • Screening
    • Screening a vessel
    • Watchlist checks
    • Additional checks
    • Movement history
    • Carbon rating
    • Submit a vessel for screening
      POST
    • Retrieve a list of transactions and their screening results
      GET
    • Ship & Flag Watchlist check
      GET
    • Company Watchlist check
      GET
    • Country Sanctions check
      GET
    • Ship movement history
      GET
    • Ship-to-Ship (STS) pairing screening
      GET
    • Company history check
      GET
    • P&I Club check
      GET
    • Vessel operational status
      GET
    • Flag history check
      GET
    • AIS positional discrepancy (spoofing) events
      GET
    • Periods of Non-Reporting
      GET
    • Carbon rating details
      GET
    • Get the PurpleTRAC Screening Report PDF
      GET
    • Submit a vessel for rescreening
      PUT
    • Archive a Screening
      PUT
  • Tracking
    • Voyage updates
    • Notification catalogue
    • Additional entities
    • Tracking a vessel
    • Enable a vessel for tracking
    • Remove additional entities from a tracked vessel
    • Add additional entities to a tracked vessel
    • List the additional entities on a transaction
    • Update voyage and tracking details
    • Get vessel positional data
    • Retrieve a list of vessel or bill of lading notifications
    • Get the PurpleTRAC Trade Report PDF
  • Bill of Lading
    • Carriers
    • Verification
    • Submit a Bill of Lading for screening
    • Get all BL Screening Results
    • Get a single BL screening result
    • Get the PurpleTRAC Bill of Lading Screening Report PDF
    • Enable tracking for a screened Bill of Lading
    • Get the PurpleTRAC Bill of Lading Tracking Report PDF
    • Disable tracking for a Bill of Lading
  • Containers
    • Screening
    • Carriers
    • Submit a Container for screening
    • Get all Container Screening Results
    • Archive Container
    • Get a single Container screening result
    • Get the Container report
  • Schemas
    • BLVGetAllResultsResponse
    • BLVScreeningResponse
    • BLVLastScreeningResult
    • BLVScreeningResultDetails
    • ContainerRegistrationBody
    • ContainerRegistrationResponse
    • ContainerGetAllResultsResponse
    • ContainerScreeningResponse
    • CarbonRatings
    • CarbonRating
    • CompanySanctions
    • CompanySanction
    • CountryChecks
    • CountryCheck
    • StsPairings
    • StsPairing
    • OtherAssociations
    • OtherAssociation
    • CompanyHistoryChecks
    • CompanyHistoryCheck
    • ShipStatuses
    • ShipStatus
    • FlagHistoryChecks
    • FlagHistoryCheck
    • PositionalDiscrepancies
    • PositionalDiscrepancy
    • DiscrepancyZone
    • DiscrepancyPort
    • NonReportingResponse
    • NonReporting
    • Notifications
    • Notification
    • BLVNotification
    • BLVPortFull
    • BLVPortFallback
    • PortCallHistory
    • PortCallHistoryItem
    • Positions
    • Position
    • PositionInfo
    • RegistrationResponse
    • ShipDetails
    • ShipSanctions
    • ShipSanction
    • VesselTrackingResponse
    • VesselTransactionsResponse
    • Transaction
    • TransactionPutBody
    • TransactionPutResponse
    • TransactionRescreenResponse
    • LastPosition
    • ScreeningNotification
    • ScreeningResult
    • UserDetails
    • UserProfile
    • Error
    • InvalidContainerNumberResponse
    • VesselRegistrationBody
    • VesselTrackingRequest
    • BLRegistrationBody
    • AdditionalEntitySearchResponse
    • AdditionalEntity
    • AdditionalEntitiesRequestSchema
    • TrackingAdditionalEntity
    • TrackingAdditionalEntitiesResponse
    • TrackingAdditionalEntityInput
    • TrackingAdditionalEntitiesPutBody
    • TrackingAdditionalEntitiesPutResponse
    • TrackingAdditionalEntitiesDeleteBody
    • RemovedAdditionalEntity
    • TrackingAdditionalEntitiesDeleteResponse
    • TrackingAdditionalEntityError
    • FeatureDisabledError
    • ObjectNotFoundError
    • TransactionValidationError
    • VoyageUpdateRequest
    • VoyageUpdateResponse
    • PTracMeta
    • PTracVessel
    • PTracVesselSearchResponse
    • DuplicateTransactionError
  1. Screening

Submit a vessel for rescreening

Production
https://api.polestar-production.com
Production
https://api.polestar-production.com
PUT
https://api.polestar-production.com
/purpletrac/v1/transaction/{id}/rescreen
Submit a vessel for rescreening after a previous screening has expired. Pole Star considers a vessel screening to be expired 24 hours after it was screened.
Using the rescreen functionality has the benefit of keeping the original transaction id associated with the new screening, as opposed to submitting a brand new screening request.
Refer to Screening Vessels to see how this endpoint is used in a real-life workflow.

Request

Authorization
API Key
Add parameter in query
api_key
Example:
api_key: ********************
or
Path Params

Query Params

Responses

🟢200OK
application/json
The vessel was resubmitted for screening against the same transaction, so the screening history is kept.
Bodyapplication/json

🟠401Unauthorized
🟠404Record Not Found
🔴500Server Error
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request PUT 'https://api.polestar-production.com/purpletrac/v1/transaction//rescreen?username=undefined&api_key=%3Capi-key%3E'
Response Response Example
200 - Default
{
    "added_via": "MANUAL",
    "ais_gap_status": "N",
    "ais_received": "2022-04-21T07:58:06.788109",
    "ais_reporting": true,
    "auto_deregister": false,
    "auto_deregistered": false,
    "auto_register": true,
    "carbon_rating_screen": false,
    "client_reference": "Commodity235",
    "closed_date": "2021-12-10T00:11:53Z",
    "creation_date": "2022-04-07T08:10:26Z",
    "has_gaps": false,
    "id": 1825356,
    "inmarsatc_expected": "2021-12-10T00:11:53Z",
    "inmarsatc_interval": null,
    "inmarsatc_received": "2021-12-10T00:11:53Z",
    "inmarsatc_reporting": true,
    "only_tracking_by_ais": false,
    "overall_severity": "CRITICAL",
    "registered_date": "2020-12-03T18:39:09Z",
    "registered_name": "9254422",
    "report_generation_complete": true,
    "resource_uri": "/api/v1/transaction/1825356",
    "screened_date": "2021-12-09T16:27:25.609827",
    "screening_status": "CRITICAL",
    "ship": "/api/v1/shipdetails/241288",
    "status": "H",
    "tracking_date": "2020-03-25T04:05:00Z",
    "tracking_expiry": "2020-03-25T04:05:00Z",
    "transceiver_domain": null,
    "transceiver_domain_id": null,
    "user": "/api/v1/user/9999",
    "voyage": "string"
}
Modified at 2026-09-18 08:35:54
Previous
Get the PurpleTRAC Screening Report PDF
Next
Archive a Screening
Built with